Package jebl.evolution.align.scores

# Class Hamming

java.lang.Object
jebl.evolution.align.scores.Scores
jebl.evolution.align.scores.NucleotideScores
jebl.evolution.align.scores.Hamming

All Implemented Interfaces:
  `ScoreMatrix`

public class Hamming extends NucleotideScores

Version:
  $Id: Hamming.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Andrew Rambaut

## Field Summary

### Fields inherited from class jebl.evolution.align.scores.NucleotideScores

`CLUSTALW, IUB`

### Fields inherited from class jebl.evolution.align.scores.Scores

`score`

## Constructor Summary

Constructors
Constructor
Description
`Hamming()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class jebl.evolution.align.scores.NucleotideScores

`getAlphabet, getName`

### Methods inherited from class jebl.evolution.align.scores.Scores

`duplicate, forMatrix, getMatrixString, getScore, includeAdditionalCharacters, includeGaps`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Hamming

public Hamming()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `NucleotideScores`